<?php

namespace lib\Entities;

use lib\Entities\CommonEntity as Entity;
use lib\Models\OnetimeModel as Model;

class OnetimeEntity extends Entity
{
    const PKField = Model::PKField;
    const TitleField = Model::TitleField;
    const PairField = Model::PairField;
    public function __construct($datas)
    {
        parent::__construct($datas);
    } //

    public function getServiceCode(): string
    {
        return $this->service_code;
    }
    public function getMemberCode(): string
    {
        return $this->onetime_manager;
    }
    public function getClientCode(): string
    {
        return $this->client_code;
    }
    public function getType(): string
    {
        return $this->onetime_case;
    }
    public function getAmount(): string
    {
        return $this->onetime_amount;
    }
    public function getPayment(): string
    {
        return $this->onetime_payment;
    }
    public function getNonPayment(): string
    {
        return $this->onetime_nonpayment;
    }
    public function getRequestDate(): mixed
    {
        return $this->onetime_request_date;
    }
    public function getPaymentDate(): string
    {
        return $this->onetime_payment_date;
    }
    public function getInsertDate(): mixed
    {
        return $this->onetime_insert_date;
    }
    public function getStatus(): string
    {
        return $this->onetime_accountStatus;
    }
    public function getNote(): string
    {
        return $this->onetime_note;
    }
} //Class
